<!DOCTYPE html>
<html lang="en">

<head>
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <!-- <script src="https://kit.fontawesome.com/354693746a.js" crossorigin="anonymous"></script> -->
    <title>Document</title>
    <style>
        .row {
            margin-top: 9%;
        }

        .currents {
            background-color: red;
        }

        .current {
            background-color: red;

        }
        *{
    background-color: brown;
         }
        body {
            background-color: rgb(212, 26, 104);
            margin: 15%;
            padding: 15%;
            max-width: 80%;
            box-shadow: 0 0 20px 0 rgba(0, 0, 0, .3);
            border: 3px;
            border-color: black;

        }
        img{
            max-width: 80px;
        }
        .playertwo{

            text-align: right;
        }
        button{
            background-color:rgb(117, 27, 27);
            box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.87);
        }
        p{
            box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.87);
        }
        h1{
            background-color:rgb(117, 27, 27);
            box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.87);
           
        }
    
    </style>
</head>

<body>
    <div class="container-fluid">
        <h1 class="text-center"><a href="javascript:window.location.reload()" target="_blank"></i>New game</h1></a>
        <div class="row">
            <div class="col-5">
                <h2>PLAYER 1</h2>
                <p class="text-center" id="resultadd"></p>
            </div>
            <div class="col-2">
                <img src="" id="result"></img>
                <img src="" id="resultat"></img>
            </div>
            <div class="col-5">
                <h2 id="playertwo">PLAYER 2 </h2>
                <p class="text-center" id="resultad"></p>
            </div>
        </div>
        <div class="row">
            <div class="col-6 ">
                <p class="text-center currents">current</p>
            </div>
          
            <div class="col-6 ">
                <p class="text-center current">current</p>
            </div>

        </div>
        <div class="row">
            <div class="col-6 text-center">
                <button onclick="entierAl()" id="rollDice">
                     ROLL DICE<br> </button>
            </div>
            <div class="col-6 text-center">
                <button onclick="hold()" id="hold">  HOLD</button>

            </div>
        </div>

    </div>

    <script>

        // random du chiffre 
        let addroll = 0;
        let addrolll = 0;
        let boleanTour = true;
        let rolla;
        let roll;
        let compteur = 0;
        // passage a l'adversaire 
        function hold() {



            if (boleanTour == false) {
                addroll += roll + rolla
                boleanTour = true;
            } else {
                addrolll += roll + rolla;
                boleanTour = false;
            }

        }
        // Debut de la boucle
        function entierAl() {




            // Random des 2 dés 
            roll = Math.floor(Math.random() * 6) + 1;

            rolla = Math.floor(Math.random() * 6) + 1;

            // affichage des faces du dés 
            if (roll == 1) {
                document.getElementById("result").src = ("1.png");
            }
            if (roll == 2) {
                document.getElementById("result").src = ("2.png");
            }
            if (roll == 3) {
                document.getElementById("result").src = ("3.png");
            }
            if (roll == 4) {
                document.getElementById("result").src = ("4.png");
            }
            if (roll == 5) {
                document.getElementById("result").src = ("5.png");
            }
            if (roll == 6) {
                document.getElementById("result").src = ("6.png");
            }
            if (rolla == 1) {
                document.getElementById("resultat").src = ("1.png");
            }
            if (rolla == 2) {
                document.getElementById("resultat").src = ("2.png");
            }
            if (rolla == 3) {
                document.getElementById("resultat").src = ("3.png");
            }
            if (rolla == 4) {
                document.getElementById("resultat").src = ("4.png");
            }
            if (rolla == 5) {
                document.getElementById("resultat").src = ("5.png");
            }
            if (rolla == 6) {
                document.getElementById("resultat").src = ("6.png");
            }




            if (addrolll >= 100 || addroll >= 100) {
                win();
            }

            // choix de l'option en fonction du resultat des 2 dés


            if (boleanTour == true && (rolla !== 1 || roll !== 1)) {


                addroll += roll + rolla;
                document.getElementById("resultadd").textContent = addroll;

                console.log("addroll" + addroll);
            }

            else if (boleanTour == true && (rolla == 1 && roll == 1 || addroll > 100)) {

                addroll = 0

                document.getElementById("resultadd").textContent = addroll;
                
                boleanTour = false;
                console.log("addroll" + addroll);
               
            }

            if (boleanTour == false && (rolla !== 1 || roll !== 1)) {

                addrolll += roll + rolla;
                document.getElementById("resultad").textContent = addrolll;
                console.log("addrolll" + addrolll);
            }


            else if (boleanTour == false && (roll == 1 && rolla == 1 || addrolll > 100)) {
                addrolll = 0
                document.getElementById("resultad").textContent = addrolll;
                boleanTour = true;
                console.log("addrolll" + addrolll);
               
            }
        }




        function win() {
            if (addroll == 100) {
                document.getElementById("resultadd").textContent = "winner ";
                document.getElementById("resultad").textContent = "loser ";
                addroll = 0;
                addrolll = 0;
                alert('joueur 1 gagne ');
            }
            else if (addrolll == 100) {
                document.getElementById("resultad").textContent = "winner ";
                document.getElementById("resultadd").textContent = "loser ";
                addroll = 0;
                addrolll = 0;
                alert('joueur 2 gagne ')
            }
        }



    </script>
</body>

</html>